@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --a: 0;
}

* {
    padding: 0;
    margin: 0;
    font-family: "Roboto", sans-serif;
}

body {
    background-color: black;
    color: white;
}

.left {
    width: 25vw;
    padding: 10px;
}

.right {
    width: 75vw;
    position: relative;
}

.home ul li {
    display: flex;
    list-style: none;
    gap: 15px;
    width: 14px;
    padding-top: 14px;
    font-weight: bold;
}

.heading {
    display: flex;
    gap: 15px;
    width: 100%;
    padding-top: 14px;
    padding: 23px 14px;
    font-weight: bold;
    align-items: center;
    font-size: 13px;
}

.heading img {
    width: 30px;
}

.library {
    position: relative;
    min-height: 80vh;
}

.footer {
    display: flex;
    gap: 13px;
    font-size: 12px;
    position: absolute;
    bottom: 0;
    padding: 10px;
}

.footer a {
    text-decoration: none;
    color: grey;
}

.right {
    margin: 16px 0;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #1e1e1e;
    height: 80px;
}

.header>* {
    padding: 20px;
}

.spotifyPlaylists {
    padding: 15px;
}

.spotifyPlaylists h1 {
    padding: 15px;
}

.cardContainer {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin: 30px;
    max-height: 60vh;
    overflow-y: auto;
}

.card {
    width: 185px;
    padding: 10px;
    border-radius: 5px;
    background-color: #181717;
    position: relative;
    transition: all .9s;
    cursor: pointer;
}

.card img {
    width: 100%;
    border-radius: 5px;
    object-fit: contain;
}

.card>* {
    padding-top: 10px;
}

.play {
    width: 37px;
    height: 37px;
    background-color: #1fdf64;
    border-radius: 50%;
    padding: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    cursor: pointer;
    bottom: 80px;
    right: 15px;
    opacity: var(--a);
    transition: all .5s ease-out;
}


.card:hover .play {
    --a: 1;
    bottom: 90px;
}

.card:hover {
    background-color: rgb(39, 39, 39);
}

.buttons>* {
    margin: 0 12px;
}

.signupbtn {
    background-color: #1e1e1e;
    color: #b5b0b0;
    border: none;
    outline: none;
    font-size: 16px;
    cursor: pointer;
}

.signupbtn:hover {
    font-size: 18px;
    font-weight: bold;
    color: white;
}

.loginbtn {
    padding: 10px;
    font-size: 15px;
    border-radius: 18px;
    cursor: pointer;
    width: 85px;
}

.loginbtn:hover {
    font-size: 17px;
    font-weight: bold;
}

.playbar {
    min-height: 40px;
    width: 70vw;
    padding: 13px;
    position: fixed;
    bottom: 30px;
    filter: invert(1);
    background: #bfbfbf;
    border-radius: 25px;
}

.songbuttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.songList {
    height: 590px;
    overflow: auto;
    margin-bottom: 20px;
}

.songList ul {
    padding: 0 12px;
}

.songList ul li {
    list-style-type: decimal;
    display: flex;
    justify-content: space-between;
    gap: 12px;
    cursor: pointer;
    padding: 12px 0;
    padding: 13px;
    border: 1px solid white;
    margin: 12px 0;
    border-radius: 5px;
}

.songList .info {
    font-size: 15px;
    width: 344px;
}

.info div {
    word-break: break-all;
}

.playnow {
    display: flex;
    gap: 8px;
    justify-content: center;
    align-items: center;
}

.playnow span {
    font-size: 15px;
    width: 66px;
    padding: 12px;
}

.seekbar {
    width: 97%;
    padding: 0 5px;
    height: 5px;
    background-color: black;
    position: absolute;
    bottom: 8px;
    border-radius: 12px;
    margin: 3px;
    cursor: pointer;
}

.circle {
    width: 13px;
    height: 13px;
    background-color: black;
    border-radius: 10px;
    position: relative;
    bottom: 4px;
    left: 0%;
    transition: left 0.5s;
}

.songbuttons img {
    cursor: pointer;
}

.songinfo {
    color: black;
    padding: 0 12px;
    width: 250px;
}

.songtime {
    width: 100px;
    color: black;
    padding: 0 12px;
}

.timenvol {
    display: flex;
    justify-content: center;
    align-items: center;
}

.volume {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.volume img {
    cursor: pointer;
}

.abovebar {
    display: flex;
    justify-content: space-between;
    margin: 20px 0;
}

.hamburger {
    display: none;
}

.close {
    display: none;
}

.range input {
    cursor: pointer;
}


@media (max-width: 1200px) {
    .left {
        position: absolute;
        padding: 0;
        left: -130%;
        background-color: black;
        z-index: 1;
        transition: all 1s;
        width: 375px;
        height: 100vh;
        position: fixed;
        top: 0;
    }

    .songinfo,
    .songtime {
        width: auto;
    }

    .right {
        width: 100vw;
    }

    .playbar {
        width: calc(100vw - 55px);
    }

    .seekbar {
        width: calc(100vw - 70px);
    }

    .hamburger {
        display: block;
        width: 30px;
        cursor: pointer;
    }

    .hamburgerContainer {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 13px;
    }

    .left .close {
        display: block;
        position: absolute;
        top: 9px;
        right: 10px;
    }

    .cardContainer {
        margin: 0;
        justify-content: center;
        height: unset;
        margin-bottom: 30vh;
        scrollbar-width: none;
    }

    .card {
        width: 40vw;
    }

    .right {
        margin: 0;
    }

    .abovebar {
        flex-direction: column;
        align-items: center;
        gap: 10px
    }

    .timenvol {
        flex-direction: column;
        gap: 5px;
    }

}


@media (max-width: 500px) {
    .card {
        width: 100%;
    }
    .header>* {
        padding: 2px;
    }
     .header{
        padding: 6px;
    }

    .buttons>* {
        margin: 0 6px;
    }

    .spotifyPlaylists h1 {
        padding: 5px;
    }
    .library{
        height: 85vh;
    }
    .left{
        width: 100vw;
    }

}